Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class DefinedElement

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.TypeEntry
                  |
                  +--org.apache.axis.wsdl.symbolTable.Element
                        |
                        +--org.apache.axis.wsdl.symbolTable.DefinedElement

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollectionElement

public class DefinedElement
extends Element

This Type is for a QName that is an element, these types are only emitted if referenced by a ref= or an element=. An element type can be defined inline or it can be defined via a ref/type attribute.

See Also:
  Serialized Form

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`dims, isBaseType, isSimpleType, node, onlyLiteralReference, refType, undefined`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`DefinedElement(QName pqName, org.w3c.dom.Node pNode)` Create an element type defined directly.
`DefinedElement(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Create an element type defined by a ref/type attribute

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getDimensions, getNode, getRefType, getUndefinedTypeRef, isOnlyLiteralReferenced, isSimpleType, setOnlyLiteralReference, setRefType, setSimpleType, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefinedElement

    public DefinedElement(QName pqName,
                          TypeEntry refType,
                          org.w3c.dom.Node pNode,
                          java.lang.String dims)

  Create an element type defined by a ref/type attribute

### DefinedElement

    public DefinedElement(QName pqName,
                          org.w3c.dom.Node pNode)

  Create an element type defined directly.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.